Package org.pushingpixels.lafwidget.tree.dnd

# Class TreeTreeDnDEvent

java.lang.Object
java.util.EventObject
org.pushingpixels.lafwidget.tree.dnd.TreeTreeDnDEvent

All Implemented Interfaces:
  `Serializable`

public class TreeTreeDnDEvent extends EventObject
TreeTreeDnDEvent is an event fired when a node from a JTree is dropped into another node (of the same or of other JTree).

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`TreeTreeDnDEvent(JTree aSourceTree, TreeNode aSourceNode, JTree aTargetTree, TreeNode aTargetNode)`
Creates a new instance of TreeTreeDnDEvent.

## Method Summary

Modifier and Type
Method
Description
`TreeNode`
`getSourceNode()`
`JTree`
`getSourceTree()`
`TreeNode`
`getTargetNode()`
`JTree`
`getTargetTree()`
`void`
`setSourceNode(TreeNode sourceNode)`
`void`
`setSourceTree(JTree sourceTree)`
`void`
`setTargetNode(TreeNode targetNode)`
`void`
`setTargetTree(JTree targetTree)`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TreeTreeDnDEvent

public TreeTreeDnDEvent(JTree aSourceTree, TreeNode aSourceNode, JTree aTargetTree, TreeNode aTargetNode)
Creates a new instance of TreeTreeDnDEvent.

Parameters:
  `aSourceTree` - the JTree containing the dragged node.
  `aSourceNode` - the TreeNode being dragged into aTargetNode.
  `aTargetTree` - the JTree containing the node on which the drop operation is about to happen.
  `aTargetNode` - the TreeNode onto which aSourceNode is about to be dropped.

## Method Details

### getSourceTree

public JTree getSourceTree()

### setSourceTree

public void setSourceTree(JTree sourceTree)

### getTargetTree

public JTree getTargetTree()

### setTargetTree

public void setTargetTree(JTree targetTree)

### getSourceNode

public TreeNode getSourceNode()

### setSourceNode

public void setSourceNode(TreeNode sourceNode)

### getTargetNode

public TreeNode getTargetNode()

### setTargetNode

public void setTargetNode(TreeNode targetNode)